"""===============================================================
با فرض اینکه قبلاً عناصر ارایه ۱۰۰ عنصری A ذخیره شده و به صورت نزولی
نگهداری می شود و عناصر آرایه ۱۰۰ عنصری B نیز ذخیره شده و به صورت
صعودی نگهداری می شود، منطق برنامه ای را طراحی کنید که از
آرایه های A و B آرایه مرکب نزولی ۲۰۰ عنصری به نام C را بسازد
و ضمن ساختن آرایه مرکب عناصر آرایه های A , B را با ۹۹۹ به نشانه
حذف جایگزین کند.
==============================================================="""

A = [57,48,43,38,23]
B = [1,23,46,64]
C = []
a = 0
b = len(B) - 1

for i in range(len(A)+len(B)):
    if a >= len(A):
        C.append(B[b])
        B[b] = 999
        b-=1
    elif b<0:
        C.append(A[a])
        A[a] = 999
        a+=1
    elif A[a] > B[b]:
        C.append(A[a])
        A[a] = 999
        a+=1
    else:
        C.append(B[b])
        B[b] = 999
        b-=1
print(C)
